import dynamix_sdk.base as _base


class CloudapiK8sMigrateToZoneResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiK8sMigrateToZoneProtocol(_base.BasePostAPIFunctionProtocol):
    def migrate_to_zone(
        self,
        *,
        k8s_id: int,
        zone_id: int,
    ) -> CloudapiK8sMigrateToZoneResultBool:
        ...
